<?php

class Profile extends CI_Controller {

    function Profile() {
        parent::__construct();
    }

    function index() {
        $data['title'] = 'Profile';
        $this->load->library('common');
        $this->common->generate_header($data);
        $data['user_data'] = $this->show_profile_data();
        $this->common->generate_footer();
    }

    private function show_profile_data() {
        $this->load->model('clients_model');
        $query['user_data'] = $this->clients_model->get_user_data();
        if (!$query['user_data']) {
            $data['message'] = '"You are not logged in to see your profile, or 
                you need to create an account now if you do not have one and want
                to be in the community 8)"</br>' . anchor('site/create_account', 'Create your account.');
            $data['uri'] = '';
            $this->load->view('error_view', $data);
        } else {
            $this->load->view('profile_view', $query);
        }
    }

}
