<?php

class Clients_model extends CI_Model {

    function __construct() {
        parent::__construct();
        $this->load->database();
    }     

    //Create a new account... Obviusly..
    function create_account() {
        //Check if the email already exist in the database        
        $this->db->where('email', $this->input->post('email'));
        $query = $this->db->get('client');

        if ($query->num_rows == 1) {
            return FALSE;
        } else {
            
            //Insert the data in the database
            $new_member_insert_data = array('name' => $this->input->post('name'),
                'surname' => $this->input->post('surname'),
                'address' => $this->input->post('address'),
                //falta implementar la edad
                //'age' => $this->input->post('age'),
                'nick' => $this->input->post('nick'),
                'email' => $this->input->post('email'),
                'password' => $this->input->post('password'));

            return $this->db->insert('client', $new_member_insert_data);
        }
    }
    
    //Return nick of the user
    function get_nick() {
        $this->db->select('nick');
        $this->db->where('email', $this->session->userdata('email'));
        $query = $this->db->get('client');
        if ($query->num_rows == 1) {
            $row = $query->row();
            return $row->nick;
        } else {
            return 'error';
        }
    }
    
    //Get user data for profile view
    function get_user_data() {
        $this->db->where('email', $this->session->userdata('email'));
        $query = $this->db->get('client');
        if ($query->num_rows == 1) {
            return $query;
        } else {
            return FALSE;
        }
    }    
    
    //Log out the user, delete cookie and session.
    function logout() {
        $cookie = array('name' => 'ereader', 'value' => 'value', 'expire' => '');
        $this->input->set_cookie($cookie);
        redirect('');
    }
    
    //Comprobe if the user exist in the DB
    function validate() {
        $this->db->where('email', $this->input->post('email'));
        $this->db->where('password', md5($this->input->post('password')));
        $query = $this->db->get('client');
        if ($query->num_rows == 1) {
            return TRUE;
        } else {
            return FALSE;
        }
        //Include admin tratement...
    }
}

